Apache Download Mac

  • About Flex
  • Community
  • Development
  • Documentation
  • About Apache
  • Download Flex
      `

The Apache Flex® SDK Installer is an application that simplifies the download and installation of the Apache Flex® SDK and its (required) components. It is aimed at anyone who wants to use the latest release of the Apache Flex SDK, but who might not necessarily be familiar with the tools and procedures required to compile the Apache Flex SDK from source code. The application will grab the official, current release of the SDK from apache.org, install it onto your computer and prepare it for use with Adobe Flash Builder. Use the badge below to download the Apache Flex SDK Installer.

Problems with the installer ? Read the installation help on the Wiki.

Apache Tomcat for Mac. 74,488 downloads Updated: October 12, 2020 Apache. Review Free Download specifications. DOWNLOAD Apache Tomcat 9.0.39. Binary and source releases and links into the archives may be obtained by selecting a project below Release Announcements. We recommend that you subscribe to the Apache Announce mailing list to be notified when releases are made by the Commons project. Releases are also announced to the User and Developer lists. Mac runs on base Unix foundation so mainly you could install almost all Linux/Unix software on Mac very easily. Mac OS X comes by default with Apache Web Server and PHP. In this tutorial we will go over steps on how to enable those on Mac. Let’s get started: Enable Apache Web Server Step-1. Open terminal App and run below command.

In particular, Linux users should use the Ant-based method in the above link.

Alternatively, you can download the source and/or binaries for the Apache Flex® SDK Installer directly:

Note: the installer downloads other files besides the Apache Flex SDK. These files are needed for the proper functioning of the SDK. The required TLF and the OSMF frameworks, as well as the optional Embedded Font Libraries and Utilities and BlazeDS are mentioned separately in the installer application. The other non-Apache files downloaded by the installer are:

The Apache Flex team is pleased to offer this 3.3.2 release of the Apache Flex® SDK Installer, available as of 09 July 2018.

Download
  • README : README
  • Mac OS X Source : apache-flex-sdk-installer-3.3.2-src.tar.gz [PGP] [SHA512]
  • Linux Source : apache-flex-sdk-installer-3.3.2-src.tar.gz [PGP] [SHA512]
  • Windows Source : apache-flex-sdk-installer-3.3.2-src.zip [PGP] [SHA512]

Binaries are provided as a convenience for those who do not wish to compile the installer themselves. The 3.3.2 binaries were published on 09 July 2018. There is no 3.3.2 convenience binary for Linux as all recent Flex and FlexJS SDK's support installation via Apache Ant and it was determined that Linux users preferred the Ant method over having to install Adobe AIR to install the SDK.

  • Mac OS X Convenience Binary : apache-flex-sdk-installer-3.3.2-bin.dmg [PGP] [SHA512]
  • Windows Convenience Binary : apache-flex-sdk-installer-3.3.2-bin.exe [PGP] [SHA512]

XAMPP is an easy to install Apache distribution containing MariaDB, PHP, and Perl. Just download and start the installer. It's that easy.

  • XAMPP for Windows7.2.34, 7.3.23 & 7.4.11

    VersionChecksumSize
    7.2.34 / PHP 7.2.34What's Included?
    • md5
    • sha1
    153 Mb
    7.3.23 / PHP 7.3.23What's Included?
    • md5
    • sha1
    153 Mb
    7.4.11 / PHP 7.4.11What's Included?
    • md5
    • sha1
    154 Mb

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.2.34, phpMyAdmin 5.0.3, OpenSSL 1.1.1, XAMPP Control Panel 3.2.4, Webalizer 2.23-04, Mercury Mail Transport System 4.63, FileZilla FTP Server 0.9.41, Tomcat 7.0.106 (with mod_proxy_ajp as connector), Strawberry Perl 5.32.0.1 Portable

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.3.23, phpMyAdmin 5.0.3, OpenSSL 1.1.1, XAMPP Control Panel 3.2.4, Webalizer 2.23-04, Mercury Mail Transport System 4.63, FileZilla FTP Server 0.9.41, Tomcat 7.0.106 (with mod_proxy_ajp as connector), Strawberry Perl 5.32.0.1 Portable

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.4.11, phpMyAdmin 5.0.3, OpenSSL 1.1.1, XAMPP Control Panel 3.2.4, Webalizer 2.23-04, Mercury Mail Transport System 4.63, FileZilla FTP Server 0.9.41, Tomcat 7.0.106 (with mod_proxy_ajp as connector), Strawberry Perl 5.32.0.1 Portable

    Windows 2008, 2012, Vista, 7, 8 (Important: XP or 2003 not supported)

    Windows XP or 2003 are not supported. You can download a compatible version of XAMPP for these platforms here.

  • XAMPP for Linux7.2.34, 7.3.23 & 7.4.11

    VersionChecksumSize
    7.2.34 / PHP 7.2.34What's Included?
    • md5
    • sha1
    151 Mb
    7.3.23 / PHP 7.3.23What's Included?
    • md5
    • sha1
    148 Mb
    7.4.11 / PHP 7.4.11What's Included?
    • md5
    • sha1
    149 Mb

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.2.34 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.3.23 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.4.11 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

    Most all distributions of Linux are supported, including Debian, RedHat, CentOS, Ubuntu, Fedora, Gentoo, Arch, SUSE.

  • XAMPP for OS X7.2.34, 7.3.23, 7.4.11, 7.2.34, 7.3.23 & 7.4.11

    VersionChecksumSize
    7.2.34 / PHP 7.2.34What's Included?
    • md5
    • sha1
    161 Mb
    7.3.23 / PHP 7.3.23What's Included?
    • md5
    • sha1
    160 Mb
    7.4.11 / PHP 7.4.11What's Included?
    • md5
    • sha1
    159 Mb
    7.2.34 / PHP 7.2.34What's Included?
    • md5
    • sha1
    353 Mb
    7.3.23 / PHP 7.3.23What's Included?
    • md5
    • sha1
    355 Mb
    7.4.11 / PHP 7.4.11What's Included?
    • md5
    • sha1
    356 Mb

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.2.34 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.3.23 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.4.11 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.2.34 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.3.23 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.4.11 + SQLite 2.8.17/3.33.0 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.3, OpenSSL 1.1.1h, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4

Download Apache Maven

Add-ons

Apache Mac Os

Applications

Apache Download Mac

Install your favorite apps on top of XAMPP. Bitnami provides a free all-in-one tool to install Drupal, Joomla!, WordPress and many other popular open source apps on top of XAMPP.

Apache Benchmark Download Mac

OS X native modules have been deprecated. Please use XAMPP-VM for OS X and the Linux version of the add-ons. Check our FAQs for more info.